Admin

Get all admin users of the contract

get

You can retrieve a complete list of admin users of the contract

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Responses
chevron-right
200

Success

application/json
idstringRead-onlyOptional

The resource's unique identifier

Example: 15514
hrefstring · uriRead-onlyOptional

URI for specific Admin in a Contract

Example: https://api.ionos.com/reseller/v2/contract/15514/admin/5533
firstNamestringRead-onlyOptional

first name of the user

lastNamestringRead-onlyOptional

last name of the user

emailstringRead-onlyOptional

email of the user

get
/contracts/{contractNumber}/admins

Create new admin user for contract

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Body
firstNamestringRequired

first name of the user

lastNamestringRequired

last name of the user

emailstringRequired

email of the user

passwordstringRequired

password of the user

Responses
post
/contracts/{contractNumber}/admins

Find admin by ID

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
adminIdinteger · int64Required
Responses
chevron-right
200

Success

application/json
idstringRead-onlyOptional

The resource's unique identifier

Example: 15514
hrefstring · uriRead-onlyOptional

URI for specific Admin in a Contract

Example: https://api.ionos.com/reseller/v2/contract/15514/admin/5533
firstNamestringRead-onlyOptional

first name of the user

lastNamestringRead-onlyOptional

last name of the user

emailstringRead-onlyOptional

email of the user

get
/contracts/{contractNumber}/admins/{adminId}

Delete admin user

delete

This method call will remove admin user from the contract. This is a highly destructive method and must be used with caution.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
adminIdinteger · int64Required
Responses
delete
/contracts/{contractNumber}/admins/{adminId}

Partially update admin user

patch

You can use this method to partially update admin user properties (firstName and/or lastName and/or email)

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
adminIdinteger · int64Required
Body
firstNamestringRequired

first name of the user

lastNamestringRequired

last name of the user

emailstringRequired

email of the user

Responses
chevron-right
200

Success

application/json
idstringRead-onlyOptional

The resource's unique identifier

Example: 15514
hrefstring · uriRead-onlyOptional

URI for specific Admin in a Contract

Example: https://api.ionos.com/reseller/v2/contract/15514/admin/5533
firstNamestringRead-onlyOptional

first name of the user

lastNamestringRead-onlyOptional

last name of the user

emailstringRead-onlyOptional

email of the user

patch
/contracts/{contractNumber}/admins/{adminId}

Last updated

Was this helpful?